import { SvgIconProps } from "../../app/types/types";


export function InwiLogoIcon(props: SvgIconProps) {
  return (
    <svg width="94" height="41" viewBox="0 0 94 41" fill="none" xmlns="http://www.w3.org/2000/svg" {...props}>
      <path
        d="M86.45 0.0460205H84.165C85.2799 1.2528 85.8997 2.83506 85.901 4.47802V17.455C85.901 19.877 87.272 21.385 89.511 21.385C91.75 21.385 93.121 19.877 93.121 17.455V6.58002C93.121 0.04602 86.45 0.0460205 86.45 0.0460205Z"
        fill="#952D83"
      />
      <path
        d="M75.0261 0.0460205C72.7871 0.0460205 71.4161 1.55402 71.4161 3.97602V11.976C71.4161 14.352 70.3651 15.906 67.8061 15.906C65.2471 15.906 64.1961 14.352 64.1961 11.976V3.97602C64.1961 1.55402 62.8251 0.0460205 60.5861 0.0460205C58.3471 0.0460205 56.9761 1.55402 56.9761 3.97602V11.976C56.9761 14.352 55.9251 15.906 53.3661 15.906C50.8071 15.906 49.7561 14.352 49.7561 11.976V3.97602C49.7561 1.55402 48.3851 0.0460205 46.1461 0.0460205C43.9071 0.0460205 42.5391 1.55402 42.5391 3.97602V12.018C42.5391 18.918 47.1541 21.385 53.3681 21.385C55.8913 21.5134 58.398 20.9106 60.5871 19.649C62.7782 20.9052 65.2833 21.5076 67.8061 21.385C74.0201 21.385 78.6351 18.918 78.6351 12.018V3.97602C78.6811 1.50802 77.2651 0.0460205 75.0261 0.0460205Z"
        fill="#952D83"
      />
      <path
        d="M25.6327 0.0460205C19.4187 0.0460205 14.8037 2.51302 14.8037 9.41302V17.455C14.8037 19.877 16.1747 21.385 18.4137 21.385C20.6527 21.385 22.0237 19.923 22.0237 17.455V9.45502C22.0237 7.07902 23.0747 5.52502 25.6337 5.52502C28.1927 5.52502 29.2437 7.07902 29.2437 9.45502V17.455C29.2437 19.877 30.6147 21.385 32.8537 21.385C35.0927 21.385 36.4637 19.923 36.4637 17.455V9.41302C36.4617 2.51302 31.8467 0.0460205 25.6327 0.0460205Z"
        fill="#952D83"
      />
      <path
        d="M7.53882 3.93C7.53882 1.508 6.16782 0 3.92882 0C1.68982 0 0.319824 1.508 0.319824 3.93V14.8C0.319824 21.334 6.99082 21.334 6.99082 21.334H9.27582C8.16092 20.1272 7.54116 18.545 7.53982 16.902L7.53882 3.93Z"
        fill="#952D83"
      />
      <path
        d="M1.50801 40.4831C1.30633 40.4931 1.10473 40.4619 0.915568 40.3912C0.726411 40.3205 0.553692 40.2119 0.408012 40.0721C0.265272 39.9199 0.155384 39.74 0.0851911 39.5435C0.0149983 39.3471 -0.0139963 39.1382 1.24855e-05 38.9301V29.7461C-0.0135995 29.5377 0.0158701 29.3288 0.086583 29.1323C0.157296 28.9358 0.267735 28.756 0.411013 28.6041C0.556692 28.4642 0.729411 28.3557 0.918568 28.285C1.10773 28.2143 1.30933 28.183 1.51101 28.1931H5.71101C6.8384 28.115 7.96084 28.4033 8.91101 29.0151C9.27129 29.2835 9.56004 29.6365 9.75186 30.0428C9.94368 30.4491 10.0327 30.8963 10.011 31.3451C10.0412 31.9427 9.84559 32.5299 9.46301 32.9901C9.01167 33.4531 8.44313 33.7849 7.81801 33.9501C8.59918 34.0889 9.30886 34.4921 9.82801 35.0921C10.3259 35.7838 10.5459 36.6372 10.4444 37.4834C10.3429 38.3296 9.92737 39.1068 9.28001 39.6611C8.13757 40.339 6.81162 40.6426 5.48801 40.5291H1.50801V40.4831ZM5.16301 33.3551C5.68341 33.3932 6.2007 33.2478 6.62501 32.9441C6.78979 32.8043 6.92049 32.6288 7.00714 32.4309C7.09379 32.233 7.13411 32.0179 7.12501 31.8021C7.14164 31.5894 7.10907 31.3758 7.02982 31.1777C6.95056 30.9797 6.82676 30.8026 6.66801 30.6601C6.21518 30.3878 5.69037 30.2595 5.16301 30.2921H2.78701V33.3531L5.16301 33.3551ZM5.34601 38.3351C5.96202 38.3742 6.57728 38.2478 7.12801 37.9691C7.30205 37.8071 7.43737 37.608 7.52392 37.3866C7.61048 37.1652 7.64606 36.9271 7.62801 36.6901C7.64921 36.4614 7.60971 36.2311 7.5135 36.0225C7.41728 35.8139 7.26776 35.6344 7.08001 35.5021C6.55406 35.201 5.94674 35.073 5.34401 35.1361H2.83301V38.3801L5.34601 38.3351Z"
        fill="#222221"
      />
      <path
        d="M18.5052 40.666C17.7845 40.7159 17.0612 40.6202 16.3783 40.3847C15.6954 40.1491 15.0669 39.7785 14.5302 39.295C13.58 38.1793 13.1044 36.736 13.2052 35.274V29.334C13.1909 29.1607 13.2119 28.9862 13.2669 28.8212C13.3219 28.6562 13.4097 28.5041 13.5252 28.374C13.6461 28.2589 13.7902 28.1709 13.9478 28.1157C14.1054 28.0606 14.2729 28.0395 14.4392 28.054H14.8052C15.6272 28.054 16.0392 28.465 16.0392 29.333V35.227C16.0392 37.237 16.8612 38.197 18.5522 38.197C20.1972 38.197 21.0192 37.192 21.0192 35.227V29.334C21.0192 28.466 21.4302 28.055 22.2532 28.055H22.6192C23.4412 28.055 23.8072 28.466 23.8072 29.334V35.228C23.9072 36.7039 23.4324 38.1613 22.4822 39.295C21.9499 39.7857 21.3217 40.1609 20.6372 40.3968C19.9527 40.6328 19.2268 40.7244 18.5052 40.666Z"
        fill="#222221"
      />
      <path
        d="M31.2081 40.711C30.4858 40.7155 29.7653 40.6391 29.0601 40.483C28.5436 40.366 28.0498 40.1653 27.5981 39.889C27.2594 39.691 26.9642 39.4268 26.7301 39.112C26.5574 38.855 26.4623 38.5537 26.4561 38.244C26.4581 38.0532 26.505 37.8654 26.5931 37.696C26.6888 37.5364 26.7958 37.3836 26.9131 37.239C27.0233 37.1197 27.146 37.0124 27.2791 36.919C27.3085 36.8887 27.344 36.8648 27.3833 36.8491C27.4226 36.8335 27.4648 36.8263 27.5071 36.828C27.7013 37.0751 27.9324 37.291 28.1921 37.468C28.4661 37.651 28.7401 37.834 29.0601 38.016C29.376 38.1851 29.7144 38.3083 30.0651 38.382C30.4247 38.4728 30.7941 38.5188 31.1651 38.519C31.7571 38.5529 32.3459 38.4094 32.8561 38.107C33.031 37.9831 33.1726 37.8178 33.2682 37.6259C33.3639 37.434 33.4105 37.2214 33.4041 37.007C33.4056 36.7598 33.3254 36.519 33.1761 36.322C33.0268 36.1253 32.8187 35.9813 32.5821 35.911C32.3541 35.82 32.0341 35.728 31.7141 35.637C31.3941 35.546 31.0291 35.5 30.7091 35.409C30.2091 35.318 29.7491 35.135 29.2471 34.998C28.7851 34.8436 28.3526 34.612 27.9681 34.313C27.5937 34.03 27.2824 33.672 27.0541 33.262C26.8162 32.7635 26.7063 32.2137 26.7341 31.662C26.7206 31.1264 26.83 30.5948 27.0541 30.108C27.2812 29.6452 27.6092 29.2393 28.0141 28.92C28.4654 28.5717 28.9764 28.3084 29.5221 28.143C30.1595 27.953 30.822 27.8606 31.4871 27.869C32.147 27.8531 32.8064 27.9145 33.4521 28.052C33.9259 28.1682 34.3857 28.3359 34.8231 28.552C35.1459 28.7345 35.4261 28.9837 35.6451 29.283C35.8093 29.5103 35.9044 29.7801 35.9191 30.06C35.929 30.2733 35.8643 30.4833 35.7361 30.654C35.64 30.8254 35.5163 30.9798 35.3701 31.111C35.2331 31.248 35.0961 31.339 35.0041 31.431C34.8671 31.522 34.8211 31.522 34.8211 31.522C34.4182 31.0741 33.9387 30.7016 33.4051 30.422C32.8227 30.1318 32.1827 29.9756 31.5321 29.965C30.9693 29.9358 30.411 30.0792 29.9321 30.376C29.7627 30.4941 29.6245 30.6513 29.5291 30.8343C29.4337 31.0173 29.3839 31.2206 29.3841 31.427C29.3674 31.6553 29.4322 31.8821 29.5671 32.067C29.7325 32.2256 29.9165 32.3636 30.1151 32.478C30.3713 32.6076 30.6507 32.6851 30.9371 32.706C31.2571 32.752 31.6221 32.843 31.9881 32.934C32.5288 33.0591 33.0628 33.2116 33.5881 33.391C34.071 33.551 34.5202 33.7989 34.9131 34.122C35.277 34.416 35.5864 34.7718 35.8271 35.173C36.0604 35.6403 36.1705 36.1593 36.1471 36.681C36.1798 37.2305 36.0803 37.7797 35.8568 38.2828C35.6334 38.7858 35.2926 39.2279 34.8631 39.572C34.3638 40.0013 33.782 40.3238 33.1534 40.5197C32.5248 40.7156 31.8628 40.7807 31.2081 40.711Z"
        fill="#222221"
      />
      <path
        d="M39.1582 39.2501V29.3341C39.1582 28.4661 39.5692 28.0551 40.3462 28.0551H40.7122C41.5342 28.0551 41.9462 28.4661 41.9462 29.3341V39.2491C41.9462 40.1171 41.5352 40.5281 40.7122 40.5281H40.3462C39.5692 40.5291 39.1582 40.1181 39.1582 39.2501Z"
        fill="#222221"
      />
      <path
        d="M45.464 39.2501V29.4711C45.4461 29.2906 45.4653 29.1084 45.5204 28.9356C45.5754 28.7628 45.6651 28.603 45.784 28.4661C45.9018 28.3439 46.0442 28.2481 46.2017 28.185C46.3593 28.1219 46.5284 28.093 46.698 28.1001H47.018C47.3044 28.0735 47.5919 28.1375 47.84 28.2831C48.0605 28.4572 48.2598 28.6566 48.434 28.8771L53.734 36.1881V29.3341C53.734 28.4661 54.145 28.0551 54.922 28.0551H55.196C55.973 28.0551 56.384 28.4661 56.384 29.3341V39.1121C56.4193 39.4908 56.3044 39.8683 56.064 40.1631C55.9526 40.2809 55.8179 40.3743 55.6684 40.4373C55.519 40.5003 55.3581 40.5315 55.196 40.5291H54.964C54.8101 40.5416 54.6553 40.526 54.507 40.4831C54.37 40.4371 54.279 40.4371 54.187 40.3461C54.095 40.2551 54.004 40.2091 53.913 40.1181C53.8106 40.0214 53.7187 39.9141 53.639 39.7981L48.11 32.2131V39.2501C48.11 40.1181 47.699 40.5291 46.876 40.5291H46.602C45.875 40.5291 45.464 40.1181 45.464 39.2501Z"
        fill="#222221"
      />
      <path
        d="M60.1759 40.072C60.0327 39.9201 59.9222 39.7403 59.8515 39.5438C59.7808 39.3473 59.7513 39.1384 59.765 38.93V29.746C59.7513 29.5376 59.7808 29.3287 59.8515 29.1322C59.9222 28.9357 60.0327 28.7559 60.1759 28.604C60.3216 28.4642 60.4943 28.3556 60.6835 28.2849C60.8727 28.2143 61.0743 28.183 61.276 28.193H68.13C68.3037 28.1704 68.4804 28.1875 68.6467 28.2429C68.8129 28.2983 68.9645 28.3907 69.0899 28.513C69.2011 28.6272 69.2871 28.7635 69.3422 28.913C69.3974 29.0625 69.4204 29.222 69.41 29.381V29.472C69.41 30.249 68.9989 30.66 68.1309 30.66H62.602V33.127H66.623C66.9795 33.0999 67.3345 33.1967 67.628 33.401C67.8332 33.6075 67.9483 33.8869 67.948 34.178V34.269C67.948 35.046 67.537 35.411 66.669 35.411H62.6479V38.111H68.222C69.09 38.111 69.5009 38.477 69.5009 39.211V39.292C69.5009 40.114 69.09 40.526 68.222 40.526H61.2769C61.0724 40.5277 60.8696 40.4884 60.6805 40.4104C60.4914 40.3324 60.3199 40.2174 60.1759 40.072Z"
        fill="#222221"
      />
      <path
        d="M76.4429 40.711C75.7206 40.7155 75.0001 40.6391 74.2949 40.483C73.7785 40.366 73.2847 40.1653 72.8329 39.889C72.4943 39.691 72.1991 39.4268 71.9649 39.112C71.7922 38.855 71.6971 38.5537 71.6909 38.244C71.693 38.0532 71.7399 37.8654 71.8279 37.696C71.9237 37.5364 72.0306 37.3837 72.1479 37.239C72.2582 37.1197 72.3809 37.0124 72.5139 36.919C72.5434 36.8887 72.5789 36.8648 72.6182 36.8491C72.6575 36.8335 72.6996 36.8263 72.7419 36.828C72.9362 37.0751 73.1672 37.291 73.4269 37.468C73.7009 37.651 73.9749 37.834 74.2949 38.016C74.6108 38.1851 74.9492 38.3083 75.2999 38.382C75.6595 38.4728 76.029 38.5188 76.3999 38.519C76.992 38.5529 77.5807 38.4094 78.0909 38.107C78.2659 37.9831 78.4075 37.8178 78.5031 37.6259C78.5987 37.434 78.6454 37.2214 78.6389 37.007C78.6405 36.7598 78.5603 36.519 78.4109 36.322C78.2617 36.1253 78.0536 35.9813 77.8169 35.911C77.5889 35.82 77.2689 35.728 76.9489 35.637C76.6289 35.546 76.2639 35.5 75.9439 35.409C75.4439 35.318 74.9839 35.135 74.4819 34.998C74.02 34.8436 73.5875 34.612 73.2029 34.313C72.8286 34.03 72.5173 33.672 72.2889 33.262C72.051 32.7635 71.9411 32.2137 71.9689 31.662C71.9554 31.1264 72.0649 30.5948 72.2889 30.108C72.5161 29.6452 72.8441 29.2393 73.2489 28.92C73.7003 28.5717 74.2113 28.3084 74.7569 28.143C75.3943 27.953 76.0568 27.8606 76.7219 27.869C77.3818 27.8531 78.0413 27.9145 78.6869 28.052C79.1608 28.1682 79.6205 28.3359 80.0579 28.552C80.3807 28.7345 80.661 28.9837 80.8799 29.283C81.0441 29.5103 81.1393 29.7801 81.1539 30.06C81.1638 30.2733 81.0991 30.4833 80.9709 30.654C80.8748 30.8254 80.7512 30.9798 80.6049 31.111C80.4679 31.248 80.3309 31.339 80.2389 31.431C80.1019 31.522 80.0559 31.522 80.0559 31.522C79.653 31.0741 79.1735 30.7016 78.6399 30.422C78.0575 30.1318 77.4175 29.9756 76.7669 29.965C76.2042 29.9358 75.6459 30.0792 75.1669 30.376C74.9976 30.4941 74.8594 30.6513 74.7639 30.8343C74.6685 31.0173 74.6188 31.2206 74.6189 31.427C74.6023 31.6553 74.6671 31.8821 74.8019 32.067C74.9674 32.2256 75.1514 32.3636 75.3499 32.478C75.6062 32.6076 75.8855 32.6851 76.1719 32.706C76.4919 32.752 76.8569 32.843 77.2229 32.934C77.7637 33.0591 78.2977 33.2116 78.8229 33.391C79.3058 33.551 79.755 33.7989 80.1479 34.122C80.5119 34.416 80.8213 34.7718 81.0619 35.173C81.2953 35.6402 81.4054 36.1593 81.3819 36.681C81.4132 37.2281 81.3135 37.7747 81.091 38.2754C80.8686 38.7761 80.5298 39.2165 80.1029 39.56C79.3669 40.392 78.0909 40.711 76.4429 40.711Z"
        fill="#222221"
      />
      <path
        d="M88.4141 40.711C87.6918 40.7155 86.9713 40.639 86.2661 40.483C85.7497 40.3659 85.2559 40.1653 84.8041 39.889C84.4655 39.691 84.1703 39.4267 83.9361 39.112C83.7634 38.8549 83.6683 38.5536 83.6621 38.244C83.6642 38.0531 83.7111 37.8654 83.7991 37.696C83.8949 37.5363 84.0018 37.3836 84.1191 37.239C84.2294 37.1197 84.3521 37.0124 84.4851 36.919C84.5145 36.8886 84.5501 36.8648 84.5894 36.8491C84.6287 36.8334 84.6708 36.8262 84.7131 36.828C84.9074 37.0751 85.1384 37.2909 85.3981 37.468C85.6721 37.651 85.9461 37.834 86.2661 38.016C86.5821 38.1851 86.9204 38.3083 87.2711 38.382C87.6307 38.4728 88.0002 38.5188 88.3711 38.519C88.9631 38.5531 89.5518 38.41 90.0621 38.108C90.2371 37.9841 90.3787 37.8188 90.4743 37.6269C90.5699 37.4349 90.6166 37.2223 90.6101 37.008C90.6116 36.7608 90.5315 36.52 90.3821 36.323C90.2329 36.1263 90.0248 35.9823 89.7881 35.912C89.5601 35.821 89.2401 35.729 88.9201 35.638C88.6001 35.547 88.2351 35.501 87.9151 35.41C87.4151 35.319 86.9551 35.136 86.4531 34.999C85.9912 34.8445 85.5587 34.6129 85.1741 34.314C84.7998 34.031 84.4885 33.673 84.2601 33.263C84.0223 32.7645 83.9123 32.2146 83.9401 31.663C83.9266 31.1274 84.0361 30.5958 84.2601 30.109C84.4872 29.6462 84.8153 29.2402 85.2201 28.921C85.6715 28.5727 86.1825 28.3094 86.7281 28.144C87.3655 27.954 88.028 27.8616 88.6931 27.87C89.353 27.8541 90.0125 27.9155 90.6581 28.053C91.132 28.1692 91.5917 28.3369 92.0291 28.553C92.3519 28.7355 92.6321 28.9847 92.8511 29.284C93.0153 29.5112 93.1105 29.781 93.1251 30.061C93.135 30.2743 93.0703 30.4843 92.9421 30.655C92.846 30.8264 92.7224 30.9808 92.5761 31.112C92.4391 31.249 92.3021 31.34 92.2101 31.432C92.0731 31.523 92.0271 31.523 92.0271 31.523C91.6242 31.0751 91.1447 30.7026 90.6111 30.423C90.0287 30.1327 89.3887 29.9766 88.7381 29.966C88.1754 29.9368 87.6171 30.0802 87.1381 30.377C86.9688 30.495 86.8305 30.6523 86.7351 30.8353C86.6397 31.0183 86.5899 31.2216 86.5901 31.428C86.5734 31.6563 86.6383 31.8831 86.7731 32.068C86.9386 32.2266 87.1226 32.3646 87.3211 32.479C87.5774 32.6086 87.8567 32.6861 88.1431 32.707C88.4631 32.753 88.8281 32.844 89.1941 32.935C89.7349 33.0601 90.2689 33.2126 90.7941 33.392C91.277 33.552 91.7262 33.7998 92.1191 34.123C92.4831 34.417 92.7925 34.7728 93.0331 35.174C93.2664 35.6412 93.3766 36.1603 93.3531 36.682C93.3845 37.2291 93.2848 37.7757 93.0623 38.2764C92.8399 38.7772 92.5011 39.2176 92.0741 39.561C91.5752 39.9929 90.9929 40.3178 90.3634 40.5156C89.7338 40.7134 89.0704 40.7799 88.4141 40.711Z"
        fill="#222221"
      />
    </svg>
  )
}
